cascading.tuple.hadoop.util

## Class TupleElementStreamComparator

- java.lang.Object
- - cascading.tuple.hadoop.util.TupleElementStreamComparator

All Implemented Interfaces:
  StreamComparator<cascading.tuple.hadoop.io.HadoopTupleInputStream>, java.util.Comparator<java.lang.Object>

    public class TupleElementStreamComparator
    extends java.lang.Object
    implements StreamComparator<cascading.tuple.hadoop.io.HadoopTupleInputStream>, java.util.Comparator<java.lang.Object>

### Constructor Summary

Constructors
Constructor and Description
`TupleElementStreamComparator(StreamComparator comparator)`

### Method Summary

Methods
`int` `compare(cascading.tuple.hadoop.io.HadoopTupleInputStream lhsStream, cascading.tuple.hadoop.io.HadoopTupleInputStream rhsStream)`
`int` `compare(java.lang.Object lhs, java.lang.Object rhs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### TupleElementStreamComparator

    public TupleElementStreamComparator(StreamComparator comparator)

### Method Detail

#### compare

    public int compare(java.lang.Object lhs,
              java.lang.Object rhs)

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.Object>`

#### compare

    public int compare(cascading.tuple.hadoop.io.HadoopTupleInputStream lhsStream,
              cascading.tuple.hadoop.io.HadoopTupleInputStream rhsStream)

Specified by:
  `compare` in interface `StreamComparator<cascading.tuple.hadoop.io.HadoopTupleInputStream>`